#
# spec file for package sysconfig (Version 0.23.14)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir aaa_version autoconf automake base bash bindutil binutils bison bzip cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         sysconfig
License:      distributable
Group:        System/Base
Autoreqprov:  on
Summary:      The package to provide the new sysconfig scheme
Version:      0.23.14
Release:      60
Requires:     iproute2
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source:       sysconfig-%{version}.tar.bz2
Patch0:       network.diff
Patch1:       sysconfig-0.23.14-ifup-dhcp-security.dif

%description
This package provides the new SuSE system configuration scheme with scripts to convert old network configuration to the new one.

SuSE series: a

%prep
%setup -n sysconfig-%{version}
%patch0 -p0
%patch1 -p0

%build
aclocal
autoconf
automake --add-missing
./configure		 --prefix=/ 				\
			--sbindir=/sbin 			\
		     --sysconfdir=%{_sysconfdir}		\
			 --mandir=%{_mandir} 			\
       --with-fillup-templatesdir=/var/adm/fillup-templates
make
make check

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig/scripts

%files
%defattr(-,root,root)
/etc/init.d/*
%dir /etc/sysconfig/scripts
%dir /etc/sysconfig/network
%config(noreplace) /etc/sysconfig/network/config
%config(noreplace) /etc/sysconfig/network/ifcfg-lo
/etc/sysconfig/network/ifcfg.template
/etc/sysconfig/network/providers
/etc/sysconfig/network/scripts
/sbin/*
%doc README
%doc %{_mandir}/*/*
/var/adm/fillup-templates/remove_old_netconfig
/var/adm/fillup-templates/sysconfig.dhcp-network
/var/adm/fillup-templates/sysconfig.wireless-network
/var/run/sysconfig

%post
etc/sysconfig/network/scripts/oldnet2new.sh
# look if dhclient.rc.config is present
if [ -f etc/rc.config.d/dhclient.rc.config ] ; then
  mv etc/rc.config.d/dhclient.rc.config etc/rc.config.d/dhcp.rc.config
fi
# but prefer dhcpcd.rc.config as template (because it has more variables and is used more frequently)
if [ -f etc/rc.config.d/dhcpcd.rc.config ] ; then
  mv etc/rc.config.d/dhcpcd.rc.config etc/rc.config.d/dhcp.rc.config
fi
%{fillup_only -dns dhcp network network}
%{fillup_only -dns wireless network network}

%postun
%{insserv_cleanup}

%changelog -n sysconfig
* Wed Apr 17 2002 - poeml@suse.de
- security fix: ifup-dhcp could be tricked into executing arbitrary
  commands as root by DHCP servers handing out illegal values (e.g.
  containing spaces), because it sourced dhcpcd's info file, where
  not all variable values are quoted.
* Mon Apr 15 2002 - arvin@suse.de
- fixed boot order (dsl is now started after eth) (bug #15783)
* Fri Mar 22 2002 - kkeil@suse.de
- update old rc.config settings for ippp* and isdn* devices
* Fri Mar 22 2002 - mmj@suse.de
- This package should not own /etc/sysconfig but should own
  /etc/sysconfig/scripts
* Thu Mar 21 2002 - kkeil@suse.de
- set have to use set -- $... to set positional parameters (#15271)
* Tue Mar 19 2002 - mmj@suse.de
- Change R_INTERNAL to return 1 instead of the not-allowed 12. One
  is specified as "FAIL : 1 - generic or unspecified error"
  Fixes (Bug #15078)
* Mon Mar 18 2002 - mmj@suse.de
- Make rcnetwork fail nicely on wrong option (Bug #15111)
* Thu Mar 14 2002 - arvin@suse.de
- check for presents of modem0 in wvdial.conf before generating
  ifcfg-ppp0 during update
* Tue Mar 12 2002 - mmj@suse.de
- ifup-route:
- removed determination of INTERFACETYPE; it was never used
- treat 5th column in routes and ifroute-* like the first four
  and allow a dash if the type is omitted.
- config:
- removed NO_ROUTING_INTERFACETYPES, because it was not used
  anywhere
- manpages update
- network:
- don't drop configuration files which are symlinks when called
  manually.
- 'rcnetwork status': accept returnvalue R_BUSY as success;
  ifup-ippp returns R_BUSY if the interface is connected.
  (Bug #14858)
- ifup-dhcp, sysconfig.dhcp-network
- add DHCLIENT_SLEEP again, for the real broken devices
- ifup
- add missing \ in line 400 (Bug #14823)
- oldnet2new.sh
- Don't make PCMCIA link if it exists
- ifup-ppp
- added tiny sleep to avoid race condition
* Fri Mar 08 2002 - mmj@suse.de
- Always DHCLIENT_SET_DOWN_LINK=yes for pcmcia ifaces.
* Thu Mar 07 2002 - mmj@suse.de
- Don't save interface names for ppp and dsl ifaces (Bug #14497)
- Add ifcfg.template
- Fix the %%post way of calling oldnet2new.sh
- Convert MODIFY_RESOLV_CONF_DYNAMICALLY and CLOSE_CONNECTION
  correctly (Bug #14600)
* Wed Mar 06 2002 - arvin@suse.de
- fixed converting of modem and dsl config during update
* Wed Mar 06 2002 - mmj@suse.de
- Renamed variables for if*-connection and added an option to have
  verbose output from ifstatus without changing functionality
- rcnetwork should not kill all interfaces if option type is used
- Reduce output of 'rcnetwork' (Bug #14496)
* Tue Mar 05 2002 - ro@suse.de
- corrected postinstall-script
* Tue Mar 05 2002 - arvin@suse.de
- fixed return values of ifup-ppp script
* Mon Mar 04 2002 - mmj@suse.de
- Convert PCMCIA configs during update.
* Mon Mar 04 2002 - arvin@suse.de
- convert modem and dsl config during update (bug #14330)
* Mon Mar 04 2002 - mmj@suse.de
- 0.23.14
- /usr/bin/logger -> /bin/logger
- made rc.status aware of the current ACTION. Now it writes the
  right strings for a given error value (Bug #14061)
- fixed garbled output for rcnetwork status
- added a INFO to start and stop if any interface was skipped.
- Default CHECK_DUPLICATE_IP to 'no' (Bug #14280)
- while trying to get the right configuration file we always used
  the interfacetype derived from the interface argument (if
  available). So we could never call something
  like 'ifup eth-pcmcia tr0'.  Now we use the interfacetype
  derived from the interface argument only if there was no
  interfacetype in the config string.
- check STARTMODE not only for ifup, but also for ifstatus. One
  would hardly call ifstatus with -o hotplug or -o onboot, but on
  the other side with this change we will get interface
  information for hotplug interfaces from temporary files and can
  report their status too.
- ignore errors when shutting down an iface (in detail errors
  from 'ip address del/flush' and 'ip link set down'). I only got
  errors at these lines when calling that for an already
  unplugged hotplug device.  (Remember: we must call ifdown even
  for already unplugged devices, to clean up things like modified
  default routes or temporary interface information in
  /var/run/syslog/if-*)
* Thu Feb 28 2002 - mmj@suse.de
- Only put the UNIQUE information in the netconffile if not
  already present
* Tue Feb 26 2002 - mmj@suse.de
- Add option to /etc/init.d/network to allow only certain inter-
  face types to be started (rcnetwork <action> -o type=isdn,ippp)
- lo was still set down: fixed (it happened in the 'stop anything
  that is still alive' section after the main stopping loop)
- don't do any special if* calls when config is given as second
  argument
- added some options: [on]boot, hotplug, check, quiet, debug (like
  ifup)
- added option fake: don't call if*; instead print commands to
  stdout
- added option type=<comma sepearted list of iface types> to act
  only on that types of interfaces
* Tue Feb 26 2002 - mmj@suse.de
- version 0.23.13
- first use SIGTERM then SIGKILL, but only when KILL_CONNECTIONS is
  set.
- use ifuser again. Without it we would kill all connections/nfs
  mounts not only these of current iface
- improved output of ifstatus-connection
- added option check for ifstatus: it then returns R_BUSY (10) if
  there are open connections or nfs mounts (needed for pcmcia)
- return retval from 'ifup alias' calls
- It's not noarch anymore
* Tue Feb 26 2002 - mmj@suse.de
- version 0.23.12
- ifdown-connection: - dont check if available or up, because there
  might be connections of already unplugged devices which are
  neither available nor up.
- fixed message in check section
- functions: - if ifdown-* is called with -o hotplug, then
  is_iface_available() returns always 0.
- add option UMOUNT_NFS_WHEN_IFDOWN and comment out ifuser call
  in nfs_check()
* Fri Feb 22 2002 - mmj@suse.de
- version 0.23.11
- Make ifup more verbose about duplicate IP's
- is_iface_available returns 0 for ppp* and dsl*
- fixed wrong case for $ACTION in main loop - don't set up default
  route for noiface, lo, dummy
- merged 'add|replace' and 'status' loops to one loop and branch to
  this two cases in the middle of the loop.  There were too much
  common code in these two loops.
- STARTMODE mismatch is not longer logged as an error but as
  message - fixed error when -o doalias but there were no alias
  configs - tweaked CHECK_DUPLICATE error message again
* Wed Feb 20 2002 - kkeil@suse.de
- fix return value for isdn interface check
* Mon Feb 18 2002 - poeml@suse.de
- version 0.23.10:
- ifcfg-*: variable BOOTMODE is now called STARTMODE (fits better).
  Values are onboot, hotplug, or manual. Assume 'manual' when unset.
- rcnetwork: stop _all_ active devices and kill _all_ DHCP clients
  (not only the configured ones)
- try to bind routes to an interface
- is_iface_available considers ippp* and isdn* devices as always
  available
- ifup-route: add a link named ifstatus-route
* Mon Feb 18 2002 - mmj@suse.de
- Don't do any unique.inf stuff is it is not present ...
- ifdown-dhcp all will kill all dhcp clients
- change screen output of rcnetwork start, stop, status
* Mon Feb 18 2002 - mmj@suse.de
- Added a manpage for routes
* Mon Feb 18 2002 - mmj@suse.de
- Moved ppp and dsl scripts from /sbin to the correct place.
- Added functionality to convert old YaST.inf unique information
  to UNIQUE=
* Mon Feb 18 2002 - poeml@suse.de
- version 0.23.9:
- add directory /var/run/sysconfig/
- rcnetwork:
- fix usage of rc_status (always showed "done")
- print MESSAGE before the next script gets started
- ifdown-dhcp:
- don't rely on a pid file when looking for clients to kill.
- Make script output depending on whether called by rc script
  or not.
- config/sysconfig.dhcp-network: 5 is now the default
  RebootTimeOut
- oldnet2new.sh: take the chance and convert obsolete iSeries
  device names... veth --> eth (#12583)
* Fri Feb 15 2002 - poeml@suse.de
- version 0.23.8:
- never stop loopback device when calling rcnetwork directly
- added variable RUN_FILES_BASE for dynamic configuration of ifup
- ifup: changed BOOTMODE checking, added IP_OPTIONS
- scripts/network: changed removal of route stack run-time-files
- is_iface_available(): It will now only modprobe <interface> if
  called from ifup, because it must not trigger unwanted
  hotplug events (#13178, dhcpcd was started twice)
- ifup-dhcp and sysconfig.dhcp:
- add DHCLIENT_REBOOT_TIMEOUT (time that dhcpcd will try to
  reacquire a previous lease
- DHCLIENT_HOSTNAME_OPTION defaults to "AUTO", reads /etc/HOSTNAME
- add DHCLIENT_LEASE_TIME and DHCLIENT_ADDITIONAL_OPTIONS (#13211)
- detect whether dhcpcd is already running on the given device
- unified option handling and return values
* Mon Feb 11 2002 - poeml@suse.de
- new version 0.23.7:
- make dhcpcd work with multiple interfaces
  (DHCLIENT_PRIMARY_INTERFACE can be set in ifcfg-*; otherwise
  the first device is primary)
- add DHCP config variables for NIS, NTP, vendor class ID,
  default gateway configuration and DHCLIENT_BIN
- send hostname option by default (needed for DDNS)
- move ifdown-connection and ifup-{route,wireless} (and their
  links) from /sbin to /etc/sysconfig/scripts/
* Tue Feb 05 2002 - mmj@suse.de
- Small tweaks, update to 0.23.6
* Tue Feb 05 2002 - mmj@suse.de
- Lots of script updates, version 0.23.5
* Tue Feb 05 2002 - poeml@suse.de
- autoconfiscated, version 0.23.4
* Mon Feb 04 2002 - poeml@suse.de
- update ifup-dhcp
- add link /sbin/ifstatus-dhcp -> ifup-dhcp
- add modify_resolvconf and man page (moved from aaa_base package)
- add MODIFY_RESOLV_CONF_DYNAMICALLY to config
- don't copy ifup-ppp to ifup-dsl, link it
- add ifdown-wireless link
- fix permisisons of almost everything
* Mon Feb 04 2002 - arvin@suse.de
- fixed links for ppp and dsl
* Mon Feb 04 2002 - mmj@suse.de
- ifup-wireless and ifdown-connection added in addition to update
  to the most current version of everything.
* Thu Jan 31 2002 - mmj@suse.de
- dhcp updates
* Wed Jan 30 2002 - mmj@suse.de
- Use a proper version number
* Mon Jan 28 2002 - mmj@suse.de
- Added /etc/sysconfig/network/providers
* Mon Jan 28 2002 - mmj@suse.de
- Updated to newest scripts.
* Fri Jan 25 2002 - poeml@suse.de
- Add conveniance wrapper rcdhclient, telling to use the new scripts
* Fri Jan 25 2002 - arvin@suse.de
- added ppp and dsl support
* Wed Jan 23 2002 - mmj@suse.de
- Added symlink to ifdown-dhcp
* Wed Jan 23 2002 - mmj@suse.de
- Added ifup.1
- Fixed a typo in README
- Made usage() more fine-grained in ifup
- Fixed missing %%files entry for /etc/sysconfig/network/config
* Mon Jan 21 2002 - mmj@suse.de
- Updated config, functions, ifstatus-route, ifup ifup-dhcp,
  ifup-route and network
* Sat Jan 19 2002 - mmj@suse.de
- Updated ifup, ifup-route, functions, network, config
* Wed Jan 16 2002 - ro@suse.de
- added insserv calls
- fixed provides/requires of network script
* Wed Jan 16 2002 - mmj@suse.de
- Added routing conf conversion
* Wed Jan 16 2002 - mmj@suse.de
- Add missing rcnetwork -> /etc/init.d/network link
* Tue Jan 15 2002 - mmj@suse.de
- Fixed permissions and added a symlink from ifup-route ->
  ifdown-route
* Tue Jan 15 2002 - mmj@suse.de
- Fixed bugs and added hostname conversion
* Wed Nov 21 2001 - mmj@suse.de
- Initial package
